gnutls_digest_set_secure(3)

NAME
gnutls_digest_set_secure - API function

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_digest_set_secure(gnutls_digest_algorithm_t dig, unsigned int secure);

ARGUMENTS

gnutls_digest_algorithm_t dig
    is a digest algorithm

unsigned int secure
    whether to mark the digest algorithm secure

DESCRIPTION
Modify the previous system wide setting that marked dig as secure or insecure. This only has effect when the algorithm is enabled through the allowlisting mode in the configuration file, or when the setting is modified with a prior call to this function. This function must be called prior to any session priority setting functions; otherwise the behavior is undefined.

SINCE
3.7.3

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001- Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/